Imports System
Imports System.ComponentModel
Public Class PhoneRingEvent
  Public Delegate Sub PhoneRingEventHander(ByVal sender As Object, ByVal e As PhoneRingEventArgs)
  Private Const RingEvent As String = "RingEvent"
  Private Events As New EventHandlerList
  Public Custom Event Ring As PhoneRingEventHander
    AddHandler(ByVal value As PhoneRingEventHander)
      Events.AddHandler(RingEvent, value)
    End AddHandler
    RemoveHandler(ByVal value As PhoneRingEventHander)
      Events.RemoveHandler(RingEvent, value)
    End RemoveHandler
    RaiseEvent(ByVal sender As Object, ByVal e As PhoneRingEventArgs)
      CType(Events(RingEvent), PhoneRingEventHander).Invoke(sender, e)
    End RaiseEvent
  End Event
  Public Sub CallRing(ByVal TelNo As String)
    RaiseEvent Ring(Me, New PhoneRingEventArgs(TelNo))
  End Sub
End Class
