﻿using System;
using System.IO;
using System.Web;
public class FileResponseHandler : IHttpHandler {
  public bool IsReusable {
    get { return false; }
  }
  public void ProcessRequest(HttpContext context) {
    string path = context.Server.MapPath(context.Request.Url.LocalPath);
    if (!File.Exists(path)) {
      throw new HttpException(404, "File not found.");
    }
    context.Response.WriteFile(path);
  }
}
