﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
public partial class Chap05_02 : System.Web.UI.Page {
  private Dictionary<string, string> ListData {
    get { return ViewState["ListData"] as Dictionary<string, string>; }
    set { ViewState["ListData"] = value; }
  }
  protected void Page_Load(object sender, EventArgs e) {
    if (!IsPostBack) {
      Dictionary<string, string> listData = new Dictionary<string, string>();
      listData.Add("NO2", "データその２");
      listData.Add("NO1", "データその１");
      ListData = listData;
    }
  }
  protected void Page_PreRender(object sender, EventArgs e) {
    DropDownList1.Items.Clear();
    foreach (string key in ListData.Keys) {
      DropDownList1.Items.Add(new ListItem(ListData[key], key));
    }
  }
  protected void Button1_Click(object sender, EventArgs e) {
    Literal1.Text = ListData[DropDownList1.SelectedValue];
  }
  protected void Button2_Click(object sender, EventArgs e) {
    ListData.Remove(DropDownList1.SelectedValue);
  }
  protected void Button3_Click(object sender, EventArgs e) {
    if (TextBox1.Text != "" && !ListData.ContainsKey(TextBox1.Text)) {
      ListData.Add(TextBox1.Text, TextBox2.Text);
    }
  }
}
