﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Text;
public partial class Chap05_06 : System.Web.UI.Page {
  protected const string FILE_NAME = "Chap05_06.dmy";
  protected void Page_Load(object sender, EventArgs e) {
    if (!IsPostBack) {
      DropDownList1.Items.Add("UTF-8");
      DropDownList1.Items.Add("UNICODE");
      DropDownList1.Items.Add("Shift_JIS");
    }
  }
  protected void Button1_Click(object sender, EventArgs e) {
    string path = Path.Combine(Server.MapPath("./"), FILE_NAME);
    if (!File.Exists(path)) {
      Literal1.Text = "ファイルが存在しません。";
    } else {
      StringBuilder sb = new StringBuilder();
      Encoding encode = Encoding.GetEncoding(DropDownList1.SelectedValue);
      using (StreamReader sr = new StreamReader(new FileStream(path, FileMode.Open), encode)) {
        for (int i = 1; !sr.EndOfStream; i++) {
          sb.Append(i.ToString().PadLeft(3, '0') + ":" + sr.ReadLine() + "<br>");
        }
      }
      Literal1.Text = sb.ToString();
    }
  }
  protected void Button2_Click(object sender, EventArgs e) {
    string path = Path.Combine(Server.MapPath("./"), FILE_NAME);
    Encoding encode = Encoding.GetEncoding(DropDownList1.SelectedValue);
    using (StreamWriter sw = new StreamWriter(new FileStream(path, FileMode.Create), encode)) {
      sw.Write(TextBox1.Text);
    }
  }
}
