﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;
using System.Xml;
public partial class Chap06_07 : System.Web.UI.Page {
  protected void Page_Load(object sender, EventArgs e) {
    StringBuilder result = new StringBuilder();
    XmlTextReader reader = new XmlTextReader(Server.MapPath("./Chap06_04.xml"));
    while (reader.Read()) {
      if (reader.NodeType == XmlNodeType.Element) {
        result.Append("<code>&lt;" + reader.Name);
        while (reader.MoveToNextAttribute()) {
          result.Append("&nbsp;" + reader.Name + "=\"" + reader.Value + "\"");
        }
        if (reader.IsEmptyElement) {
          result.Append("/&gt;</code><br>");
        } else {
          result.Append("&gt;</code><br>");
        }
      } else if (reader.NodeType == XmlNodeType.EndElement) {
        result.Append("<code>&lt;/" + reader.Name + "&gt;</code><br>");
      } else if (reader.NodeType == XmlNodeType.Text) {
        if (reader.Value.Length != 0) {
          result.Append(reader.Value + "<br>");
        }
      }
    }
    reader.Close();
    Literal1.Text = result.ToString();
  }
}
