﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Text;
using System.Xml;
public partial class Chap06_10 : System.Web.UI.Page {
  protected const string xpath = "//itemlist/child::item[attribute::itemcode='1002']";
  protected void Page_Load(object sender, EventArgs e) {
    XmlDocument doc = new XmlDocument();
    doc.Load(Server.MapPath("./Chap06_04.xml"));
    XmlNode node = doc.SelectSingleNode(xpath);
    Literal1.Text = "<pre>" + Server.HtmlEncode(XmlNodeToString(node)) + "</pre>";
  }
  private string XmlNodeToString(XmlNode node) {
    StringBuilder sb = new StringBuilder();
    StringWriter wr = new StringWriter(sb);
    XmlTextWriter xw = new XmlTextWriter(wr);
    xw.Formatting = Formatting.Indented;
    node.WriteTo(xw);
    return sb.ToString();
  }
}
