﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Text;
using System.Xml.XPath;
using System.Xml.Xsl;
public partial class Chap06_14 : System.Web.UI.Page {
  void Page_Load(Object sender, System.EventArgs e) {
    string xmlFile = Server.MapPath("./Chap06_04.xml");
    string xslFile = Server.MapPath("./Chap06_14.xsl");
    StringBuilder sb = new StringBuilder();
    StringWriter sw = new StringWriter(sb);
    try {
      XslCompiledTransform xslt = new XslCompiledTransform();
      xslt.Load(xslFile);
      xslt.Transform(new XPathDocument(xmlFile), null, sw);
      Literal1.Text = "<pre>" + Server.HtmlEncode(sb.ToString()) + "</pre>";
    } catch (Exception exp) {
      Literal1.Text = exp.ToString();
    }
  }
}
