﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
namespace AspNet2.Chap10 {
  public class MyListControlBase : MyControlBase {
    private int _ListSize = 0;
    public int ListSize {
      get { return _ListSize; }
      set { _ListSize = value; }
    }
    private int _TitleSize = 0;
    public int TitleSize {
      get { return _TitleSize; }
      set { _TitleSize = value; }
    }
    protected string TitleFormat(object title) {
      string result = (title != null) ? title.ToString() : string.Empty;
      if (TitleSize > 0 && result.Length > TitleSize) {
        result = result.Substring(0, TitleSize) + "...";
      }
      return Server.HtmlEncode(result);
    }
  }
}
