﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using BlogDataSetTableAdapters;
public partial class CategoryViewer : AspNet2.Chap10.MyPageBase {
  protected void Page_Load(object sender, EventArgs e) {
    if (Request.QueryString["CategoryId"] == null) {
      Response.Redirect(ConfigurationManager.AppSettings["SiteRootUrl"]);
    }
    if (!IsPostBack) {
      Guid? categoryId = new Guid(Request.QueryString["CategoryId"]);
      using (BlogEntryViewTableAdapter adapter = new BlogEntryViewTableAdapter()) {
        BlogDataSet.BlogEntryViewDataTable table = adapter.GetEntriesByCategory(categoryId);
        if (table.Count > 0) {
          BlogEntryList1.Entries = table.DefaultView;
          BlogEntryList1.DataBind();
        }
      }
    }
  }
}
