﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using BlogDataSetTableAdapters;
public partial class BlogEntryView : AspNet2.Chap10.MyControlBase {
  protected void Page_Load(object sender, EventArgs e) {
    Guid? entryId = new Guid(Request.QueryString["EntryId"]);
    using (BlogEntryViewTableAdapter adapter = new BlogEntryViewTableAdapter()) {
      BlogDataSet.BlogEntryViewDataTable table = adapter.GetEntryView(entryId);
      if (table.Count == 1) {
        EntryView.DataSource = table.DefaultView;
        EntryView.DataBind();
      }
    }
  }
}
