﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UserDataSetTableAdapters;
public partial class Member_Default : AspNet2.Chap10.MyControlBase {
  protected void Page_Load(object sender, EventArgs e) {
    if (!IsPostBack) {
      Guid userId = (Guid)Membership.GetUser(Page.User.Identity.Name).ProviderUserKey;
      using (UserTBLTableAdapter adapter = new UserTBLTableAdapter()) {
        UserDataSet.UserTBLDataTable user = adapter.GetUser(userId);
        if (user.Count > 0) {
          DispNameText.Text = user[0].DispName;
          if (user[0].ThemeName != null) {
            ThemeNameSelect.SelectedValue = user[0].ThemeName;
          }
        }
      }
    }
  }
  protected void btnUpdate_Click(object sender, EventArgs e) {
    Guid userId = (Guid)Membership.GetUser(Page.User.Identity.Name).ProviderUserKey;
    using (UserTBLTableAdapter adapter = new UserTBLTableAdapter()) {
      UserDataSet.UserTBLDataTable user = adapter.GetUser(userId);
      if (user.Count > 0) {
        adapter.UpdateUser(userId, user[0].UserName, DispNameText.Text, ThemeNameSelect.SelectedValue);
      }
    }
    Response.Redirect(ConfigurationManager.AppSettings["SiteRootUrl"]);
  }
  protected void btnCancel_Click(object sender, EventArgs e) {
    Response.Redirect(ConfigurationManager.AppSettings["SiteRootUrl"]);
  }
  protected void btnPassword_Click(object sender, EventArgs e) {
    Response.Redirect("~/Member/Password.aspx");
  }
}
