﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UserDataSetTableAdapters;
public partial class Regist : AspNet2.Chap10.MyControlBase {
  protected void CreateUserWizard1_CreatedUser(object sender, EventArgs e) {
    CreateUserWizard wizard = (CreateUserWizard)sender;
    if (Roles.GetUsersInRole("Admins").Length == 0) {
      Roles.AddUserToRole(wizard.UserName, "Admins");
    }
    Roles.AddUserToRole(wizard.UserName, "Users");
    MembershipUser member = Membership.GetUser(wizard.UserName);
    using (UserTBLTableAdapter adapter = new UserTBLTableAdapter()) {
      adapter.UpdateUser((Guid)member.ProviderUserKey, member.UserName, member.UserName, "White");
    }
  }
  protected void CreateUserWizard1_ContinueButtonClick(object sender, EventArgs e) {
    Response.Redirect(ConfigurationManager.AppSettings["SiteRootUrl"]);
  }
  protected void CreateUserWizard1_CancelButtonClick(object sender, EventArgs e) {
    Response.Redirect(ConfigurationManager.AppSettings["SiteRootUrl"]);
  }
}
