﻿<%@ WebHandler Language="C#" Class="Download" %>
using System;
using System.Web;
using BlogDataSetTableAdapters;
public class Download : IHttpHandler {
  public void ProcessRequest(HttpContext context) {
    Guid? attachId = Guid.Empty;
    if (context.Request.QueryString["AttachId"] != null) {
      attachId = new Guid(context.Request.QueryString["AttachId"]);
    }
    if (attachId != Guid.Empty) {
      using (BlogAttachTBLTableAdapter adapter = new BlogAttachTBLTableAdapter()) {
        BlogDataSet.BlogAttachTBLDataTable table = adapter.GetAttach(attachId);
        if (table.Count == 1) {
          context.Response.ContentType = table[0].ContentType;
          context.Response.AddHeader("Content-Disposition", "attachment; filename=" + table[0].FileName);
          context.Response.Flush();
          context.Response.OutputStream.Write(table[0].FileData, 0, table[0].FileSize);
          context.Response.Flush();
          context.Response.End();
        }
      }      
    }
  }
  public bool IsReusable {
    get { return false; }
  }
}
