﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.Common;
public partial class SqlExecute : System.Web.UI.Page {
  protected void LinkButton1_Click(object sender, EventArgs e) {
    List<string> sqls = new List<string>();
    if (TextBox1.Text.Trim() != string.Empty) {
      string[] sepa = new string[] { "\r\n" };
      string[] lines = TextBox1.Text.Split(sepa, StringSplitOptions.RemoveEmptyEntries);
      StringBuilder buff = new StringBuilder();
      foreach (string line in lines) {
        if (line.Trim().ToUpper() == "GO") {
          sqls.Add(buff.ToString());
          buff = new StringBuilder();
        } else {
          buff.Append(line + "\r\n");
        }
      }
      if (buff.Length > 0) {
        sqls.Add(buff.ToString());
      }
      ConnectionStringSettings css = ConfigurationManager.ConnectionStrings["LocalDataConnectionString"];
      DbProviderFactory factory = DbProviderFactories.GetFactory(css.ProviderName);
      using (DbConnection con = factory.CreateConnection()) {
        con.ConnectionString = css.ConnectionString;
        con.Open();
        DbTransaction tran = con.BeginTransaction();
        try {
          DbCommand cmd = con.CreateCommand();
          cmd.Transaction = tran;
          foreach (string sql in sqls) {
            cmd.CommandText = sql;
            cmd.ExecuteNonQuery();
          }
          Literal1.Text = "Success.";
          tran.Commit();
        } catch (Exception ex) {
          Literal1.Text = ex.Message;
          tran.Rollback();
        }
      }
    }
  }
}
