using System;
[AttributeUsage(AttributeTargets.Class)]
public class ClassInfoAttribute : Attribute {
  private string _Author = string.Empty;
  public string Author {
    get { return _Author; }
  }
  private string _Revision = string.Empty;
  public string Revision {
    get { return _Revision; }
  }
  private string _Description = string.Empty;
  public string Description {
    get { return _Description; }
  }
  public ClassInfoAttribute(string author, string revision, string description) {
    _Author = author;
    _Revision = revision;
    _Description = description;
  }
}
