Imports System
<AttributeUsage(AttributeTargets.Class)> _
Public Class ClassInfoAttribute
  Inherits Attribute
  Private _Author As String = String.Empty
  Public ReadOnly Property Author() As String
    Get
      Return _Author
    End Get
  End Property
  Private _Revision As String = String.Empty
  Public ReadOnly Property Revision() As String
    Get
      Return _Revision
    End Get
  End Property
  Private _Description As String = String.Empty
  Public ReadOnly Property Description() As String
    Get
      Return _Description
    End Get
  End Property
  Public Sub New(ByVal Author As String, ByVal Revision As String, ByVal Description As String)
    _Author = Author
    _Revision = Revision
    _Description = Description
  End Sub
End Class
