﻿<%@ WebHandler Language="C#" Class="Chap05_07" %>
using System;
using System.Web;
using System.Drawing;
using System.Drawing.Imaging;
public class Chap05_07 : IHttpHandler {
  public void ProcessRequest(HttpContext context) {
    context.Response.ContentType = "image/jpeg";
    using (Bitmap bitmap = new Bitmap(100, 100, PixelFormat.Format24bppRgb)) {
      using (Graphics graphics = Graphics.FromImage(bitmap)) {
        using (SolidBrush brush = new SolidBrush(Color.Blue)) {
          graphics.Clear(Color.White);
          graphics.FillEllipse(brush, 0, 0, 99, 99);
          bitmap.Save(context.Response.OutputStream, ImageFormat.Jpeg);
        }
      }
    }
  }
  public bool IsReusable {
    get { return false; }
  }
}
