﻿<%@ WebHandler Language="C#" Class="Chap05_08" %>
using System;
using System.Web;
using System.Drawing;
using System.Drawing.Imaging;
public class Chap05_08 : IHttpHandler {
  public void ProcessRequest(HttpContext context) {
    string message = context.Request.QueryString["msg"];
    if (message == null) {
      message = "メッセージなし";
    }
    context.Response.ContentType = "image/jpeg";
    using (Bitmap bitmap = new Bitmap(300, 100, PixelFormat.Format24bppRgb)) {
      using (Graphics graphics = Graphics.FromImage(bitmap)) {
        using (Font font = new Font("MS ゴシック", 12, FontStyle.Bold)) {
          using (SolidBrush brush = new SolidBrush(Color.Black)) {
            graphics.Clear(Color.White);
            graphics.DrawString(message, font, brush, new Point(2, 2));
            bitmap.Save(context.Response.OutputStream, ImageFormat.Jpeg);
          }
        }
      }
    }
  }
  public bool IsReusable {
    get { return false; }
  }
}
