﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Text;
using System.Xml;
public partial class Chap06_11 : System.Web.UI.Page {
  protected const string xpath = "/order/itemlist/item";
  protected void Page_Load(object sender, EventArgs e) {
    XmlDocument doc = new XmlDocument();
    doc.Load(Server.MapPath("./Chap06_04.xml"));
    XmlNodeList nodes = doc.SelectNodes(xpath);
    StringBuilder sb = new StringBuilder();
    foreach (XmlNode node in nodes) {
      sb.Append(XmlNodeToString(node) + "\r\n");
    }
    Literal1.Text = "<pre>" + Server.HtmlEncode(sb.ToString()) + "</pre>";
  }
  private string XmlNodeToString(XmlNode node) {
    StringBuilder sb = new StringBuilder();
    StringWriter wr = new StringWriter(sb);
    XmlTextWriter xw = new XmlTextWriter(wr);
    xw.Formatting = Formatting.Indented;
    node.WriteTo(xw);
    return sb.ToString();
  }
}
