<?xml version="1.0" encoding="Shift_JIS"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes"/>
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="itemlist">
    <table border="1" cellpadding="2" cellspacing="0">
      <tr>
        <th>iR[h</th>
        <th>li</th>
        <th></th>
      </tr>
      <xsl:apply-templates select="item"/>
    </table>	
  </xsl:template>
  <xsl:template match="item">
    <tr>
      <td><xsl:value-of select="@itemcode"/></td>
      <td align="right"><xsl:value-of select="price"/></td>
      <td align="right"><xsl:value-of select="count"/></td>
    </tr>
  </xsl:template>
</xsl:stylesheet>
