﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
namespace LocalDbTableAdapters {
  public partial class MessageTableAdapter {
    public LocalDb.MessageDataTable GetMessageById(int? MessageId) {
      LocalDb result = new LocalDb();
      SqlCommand cmd = Connection.CreateCommand();
      cmd.CommandText = "SELECT * FROM Message WHERE MessageId = @MessageId";
      cmd.CommandType=CommandType.Text;
      SqlParameter param = cmd.CreateParameter();
      param.DbType = DbType.Int32;
      param.ParameterName = "@MessageId";
      param.Value = MessageId;
      cmd.Parameters.Add(param);
      Adapter.SelectCommand = cmd;
      Adapter.Fill(result.Message);
      return result.Message;
    }
  }
}
