﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.Common;
using LocalDbTableAdapters;
public partial class Chap07_01 : System.Web.UI.Page {
  protected void Button1_Click(object sender, EventArgs e) {
    int? MessageId = 0;
    ConnectionStringSettings css = ConfigurationManager.ConnectionStrings["DatabaseConnectionString"];
    DbProviderFactory factory = DbProviderFactories.GetFactory(css.ProviderName);
    using (DbConnection con = factory.CreateConnection()) {
      con.ConnectionString = css.ConnectionString;
      con.Open();
      DbCommand cmd = con.CreateCommand();
      cmd.CommandText = "AddMessage";
      cmd.CommandType = CommandType.StoredProcedure;
      DbParameter param1 = factory.CreateParameter();
      param1.DbType = DbType.String;
      param1.ParameterName = "@Title";
      param1.Value = txtTitle.Text;
      cmd.Parameters.Add(param1);
      DbParameter param2 = factory.CreateParameter();
      param2.DbType = DbType.Int32;
      param2.Direction = ParameterDirection.Output;
      param2.ParameterName = "@MessageId";
      cmd.Parameters.Add(param2);
      cmd.ExecuteNonQuery();
      MessageId = (int?)param2.Value;
    }
    Label2.Text = (MessageId != null) ? MessageId.ToString() : "";
  }
  protected void Button2_Click(object sender, EventArgs e) {
    int? MessageId = 0;
    using (MessageTableAdapter adapter = new MessageTableAdapter()) {
      adapter.AddMessage(txtTitle.Text, ref MessageId);
    }
    Label2.Text = (MessageId != null) ? MessageId.ToString() : "";
  }
}
