﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Chap07_05.aspx.cs" Inherits="Chap07_05" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
  <title>CHAP 07_05</title>
</head>
<body>
  <form id="form1" runat="server">
  <div>
    <asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="True" DataSourceID="SqlDataSource1"
      DataTextField="Title" DataValueField="MessageId"></asp:DropDownList>
    <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" DataKeyNames="MessageId"
      DataSourceID="SqlDataSource2" Height="50px" Width="125px" OnItemDeleted="DetailsView1_ItemDeleted"
      OnItemDeleting="DetailsView1_ItemDeleting" OnItemInserted="DetailsView1_ItemInserted">
      <Fields>
        <asp:BoundField DataField="MessageId" HeaderText="MessageId" InsertVisible="False"
          ReadOnly="True" SortExpression="MessageId" />
        <asp:BoundField DataField="Title" HeaderText="Title" SortExpression="Title" />
        <asp:BoundField DataField="CreateDate" HeaderText="CreateDate" SortExpression="CreateDate" />
        <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" ShowInsertButton="True" />
      </Fields>
    </asp:DetailsView>
  </div>
  <asp:SqlDataSource ID="SqlDataSource1" runat="server"
    ConnectionString="<%$ ConnectionStrings:DatabaseConnectionString %>"
    SelectCommand="SELECT [MessageId], [Title] FROM [Message]">
  </asp:SqlDataSource>
  <asp:SqlDataSource ID="SqlDataSource2" runat="server"
    ConnectionString="<%$ ConnectionStrings:DatabaseConnectionString %>"
    SelectCommand="SELECT [MessageId], [Title], [CreateDate] FROM [Message] WHERE ([MessageId] = @MessageId)"
    DeleteCommand="DELETE FROM [Message] WHERE [MessageId] = @MessageId"
    InsertCommand="INSERT INTO [Message] ([Title], [CreateDate]) VALUES (@Title, @CreateDate)"
    UpdateCommand="UPDATE [Message] SET [Title] = @Title, [CreateDate] = @CreateDate WHERE [MessageId] = @MessageId">
    <SelectParameters>
      <asp:ControlParameter ControlID="DropDownList1" Name="MessageId" PropertyName="SelectedValue"
        Type="Int32" />
    </SelectParameters>
    <DeleteParameters>
      <asp:Parameter Name="MessageId" Type="Int32" />
    </DeleteParameters>
    <UpdateParameters>
      <asp:Parameter Name="Title" Type="String" />
      <asp:Parameter Name="CreateDate" Type="DateTime" />
      <asp:Parameter Name="MessageId" Type="Int32" />
    </UpdateParameters>
    <InsertParameters>
      <asp:Parameter Name="Title" Type="String" />
      <asp:Parameter Name="CreateDate" Type="DateTime" />
    </InsertParameters>
  </asp:SqlDataSource>
  </form>
</body>
</html>
