﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Chap07_06.aspx.cs" Inherits="Chap07_06" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
  <title>CHAP 07_06</title>
</head>
<body>
  <form id="form1" runat="server">
  <div>
    <asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="SqlDataSource1" DataTextField="Title"
      DataValueField="MessageId"></asp:DropDownList>
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="MessageId" DataSourceID="SqlDataSource2"
      OnItemDeleted="FormView1_ItemDeleted" OnItemDeleting="FormView1_ItemDeleting"
      OnItemInserted="FormView1_ItemInserted">
      <EditItemTemplate>
        MessageId:
        <asp:Label ID="MessageIdLabel1" runat="server" Text='<%# Eval("MessageId") %>'></asp:Label><br />
        Title:
        <asp:TextBox ID="TitleTextBox" runat="server" Text='<%# Bind("Title") %>'>
        </asp:TextBox><br />
        CreateDate:
        <asp:TextBox ID="CreateDateTextBox" runat="server" Text='<%# Bind("CreateDate") %>'>
        </asp:TextBox><br />
        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
          Text="更新">
        </asp:LinkButton>
        <asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
          Text="キャンセル">
        </asp:LinkButton>
      </EditItemTemplate>
      <InsertItemTemplate>
        Title:
        <asp:TextBox ID="TitleTextBox" runat="server" Text='<%# Bind("Title") %>'>
        </asp:TextBox><br />
        CreateDate:
        <asp:TextBox ID="CreateDateTextBox" runat="server" Text='<%# Bind("CreateDate") %>'>
        </asp:TextBox><br />
        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
          Text="挿入">
        </asp:LinkButton>
        <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
          Text="キャンセル">
        </asp:LinkButton>
      </InsertItemTemplate>
      <ItemTemplate>
        <table border="1" cellpadding="2" cellspacing="0">
          <tr>
            <th align="right">MessageId</th>
            <td><asp:Label ID="MessageIdLabel" runat="server" Text='<%# Eval("MessageId") %>' /></td>
          </tr>
          <tr>
            <th align="right">Title</th>
            <td><asp:Label ID="TitleLabel" runat="server" Text='<%# Bind("Title") %>' /></td>
          </tr>
          <tr>
            <th align="right">CreateDate</th>
            <td><asp:Label ID="CreateDateLabel" runat="server" Text='<%# Bind("CreateDate") %>' /></td>
          </tr>
        </table>
        <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit"
          Text="編集">
        </asp:LinkButton>
        <asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete"
          Text="削除">
        </asp:LinkButton>
        <asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New"
          Text="新規作成">
        </asp:LinkButton>
      </ItemTemplate>
    </asp:FormView>
  </div>
  <asp:SqlDataSource ID="SqlDataSource1" runat="server"
    ConnectionString="<%$ ConnectionStrings:DatabaseConnectionString %>"
    SelectCommand="SELECT [MessageId], [Title] FROM [Message]">
  </asp:SqlDataSource>
  <asp:SqlDataSource ID="SqlDataSource2" runat="server"
    ConnectionString="<%$ ConnectionStrings:DatabaseConnectionString %>"
    SelectCommand="SELECT [MessageId], [Title], [CreateDate] FROM [Message] WHERE ([MessageId] = @MessageId)"
    DeleteCommand="DELETE FROM [Message] WHERE [MessageId] = @MessageId"
    InsertCommand="INSERT INTO [Message] ([Title], [CreateDate]) VALUES (@Title, @CreateDate)"
    UpdateCommand="UPDATE [Message] SET [Title] = @Title, [CreateDate] = @CreateDate WHERE [MessageId] = @MessageId">
    <SelectParameters>
      <asp:ControlParameter ControlID="DropDownList1" Name="MessageId" PropertyName="SelectedValue"
        Type="Int32" />
    </SelectParameters>
    <DeleteParameters>
      <asp:Parameter Name="MessageId" Type="Int32" />
    </DeleteParameters>
    <UpdateParameters>
      <asp:Parameter Name="Title" Type="String" />
      <asp:Parameter Name="CreateDate" Type="DateTime" />
      <asp:Parameter Name="MessageId" Type="Int32" />
    </UpdateParameters>
    <InsertParameters>
      <asp:Parameter Name="Title" Type="String" />
      <asp:Parameter Name="CreateDate" Type="DateTime" />
    </InsertParameters>
  </asp:SqlDataSource>
  </form>
</body>
</html>
