﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
namespace AspNet2.Chap09 {
  public class Chap09_04 : WebPart {
    private TextBox TextBox1 = new TextBox();
    private TextBox TextBox2 = new TextBox();
    private Button Button1 = new Button();
    private RequiredFieldValidator Required1 = new RequiredFieldValidator();
    private RequiredFieldValidator Required2 = new RequiredFieldValidator();
    private ValidationSummary Summary1 = new ValidationSummary();
    protected override void CreateChildControls() {
      base.CreateChildControls();
      HtmlGenericControl Div1 = new HtmlGenericControl("div");
      Div1.Style.Add(HtmlTextWriterStyle.Padding, "5px 5px 5px 5px");
      Div1.Controls.Add(new LiteralControl("ユーザー名："));
      TextBox1.ID = "TextBox1";
      Div1.Controls.Add(TextBox1);
      Required1.ErrorMessage = "ユーザー名は必須入力です";
      Required1.ControlToValidate = "TextBox1";
      Required1.Display = ValidatorDisplay.None;
      Div1.Controls.Add(Required1);
      Div1.Controls.Add(new LiteralControl("<br />"));
      Div1.Controls.Add(new LiteralControl("パスワード："));
      TextBox2.ID = "TextBox2";
      TextBox2.TextMode = TextBoxMode.Password;
      Div1.Controls.Add(TextBox2);
      Required2.ErrorMessage = "パスワードは必須入力です";
      Required2.ControlToValidate = "TextBox2";
      Required2.Display = ValidatorDisplay.None;
      Div1.Controls.Add(Required2);
      Summary1.DisplayMode = ValidationSummaryDisplayMode.List;
      Div1.Controls.Add(Summary1);
      HtmlGenericControl Div2 = new HtmlGenericControl("div");
      Div2.Style.Add(HtmlTextWriterStyle.TextAlign, "right");
      Button1.Text = "ログイン";
      Div2.Controls.Add(Button1);
      Div1.Controls.Add(Div2);
      base.Controls.Add(Div1);
      Button1.Click += new EventHandler(Button1_Click);
    }
    private string _UserName = string.Empty;
    public string UserName {
      get { return _UserName; }
      set { _UserName = value; }
    }
    private string _Password = string.Empty;
    public string Password {
      get { return _Password; }
      set { _Password = value; }
    }
    public event EventHandler Submit;
    protected virtual void OnSubmit(EventArgs e) {
      if (Submit != null) Submit(this, e);
    }
    protected void Button1_Click(object sender, EventArgs e) {
      if (!Page.IsValid) {
        return;
      }
      UserName = TextBox1.Text;
      Password = TextBox2.Text;
      OnSubmit(EventArgs.Empty);
    }
  }
}
