﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.ComponentModel;
using System.Data.Common;
using System.Data.SqlClient;
namespace BlogDataSetTableAdapters {
  public partial class BlogEntryViewTableAdapter {
    [DataObjectMethod(DataObjectMethodType.Select, true)]
    public BlogDataSet.BlogEntryViewDataTable GetEntriesByDate(DateTime date) {

      DateTime? d1 = DateTime.Parse("2007/09/12 0:0:0");
      DateTime? d2 = ((DateTime)d1).AddDays(1);

      //BlogDataSet.EntryViewDataTable r = this.GetEntriesByDate(d1, d2);
      //System.Diagnostics.Debug.WriteLine(r.Count);

//      BlogDataSet.EntryViewDataTable r = this.GetEntriesByDate(date, date.AddDays(1));
      //return r;
      //return this.GetEntriesByDate(date, date.AddDays(1));
      SqlCommand command = Connection.CreateCommand();
      command.CommandText = "BlogEntryTBL_GetEntriesByDate";
      command.CommandType = CommandType.StoredProcedure;
      SqlParameter param1 = command.CreateParameter();
      param1.DbType = DbType.DateTime;
      param1.ParameterName = "@FmDate";
      param1.Value = d1;
      command.Parameters.Add(param1);
      SqlParameter param2 = command.CreateParameter();
      param2.DbType = DbType.DateTime;
      param2.ParameterName = "@ToDate";
      param2.Value = d2;
      command.Parameters.Add(param2);

      BlogDataSet.BlogEntryViewDataTable result = new BlogDataSet.BlogEntryViewDataTable();

      try {
        Connection.Open();
        using (SqlDataReader reader = command.ExecuteReader()) {
          if (reader.HasRows) {
            while (reader.Read()) {
              BlogDataSet.BlogEntryViewRow row = result.NewBlogEntryViewRow();
              for (int i = 0; i < reader.FieldCount; i++) {
                row[i] = reader[i];
              }
              result.AddBlogEntryViewRow(row);
            }
          }
        }
      } finally {
        Connection.Close();
      }
      return result;
    }
  }
}
