﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using BlogDataSetTableAdapters;
public partial class BlogCommentList : AspNet2.Chap10.MyControlBase {
  protected void Page_Load(object sender, EventArgs e) {
    Guid? entryId = new Guid(Request.QueryString["EntryId"]);
    using (BlogCommentTBLTableAdapter adapter = new BlogCommentTBLTableAdapter()) {
      BlogDataSet.BlogCommentTBLDataTable table = adapter.GetComments(entryId);
      if (table.Count > 0) {
        CommentList.DataSource = table.DefaultView;
        CommentList.DataBind();
      }
    }
    CommentLink.NavigateUrl = "~/Editor/CommentEditor.aspx?EntryId=" + entryId;
  }
}
