﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="BlogEntryList.ascx.cs" Inherits="BlogEntryList" %>
<asp:DataList ID="EntryList" runat="server" Width="100%">
<HeaderTemplate>
<table cellpadding="2" width="100%">
</HeaderTemplate>
<ItemTemplate>
  <tr>
    <td align="right" valign="top" nowrap>
      <asp:Label ID="TitleLabel" runat="server" meta:resourceKey="TitleLabel" />:
    </td>
    <td width="100%">
      <asp:HyperLink ID="TitleLink" runat="server" Text='<%# ViewFormat(Eval("EntryTitle"), false) %>' NavigateUrl='<%# "~/EntryViewer.aspx?EntryId=" + Eval("EntryId") %>' />
    </td>
  </tr>
  <tr>
    <td align="right" valign="top" nowrap>
      <asp:Label ID="CategoryLabel" runat="server" meta:resourceKey="CategoryLabel" />:
    </td>
    <td width="100%">
      <asp:Label ID="CategoryText" runat="server" Text='<%# Eval("CategoryName") %>' />
    </td>
  </tr>
  <tr>
    <td align="right" valign="top" nowrap>
      <asp:Label ID="BodyLabel" runat="server" meta:resourceKey="BodyLabel" />:
    </td>
    <td width="100%">
      <asp:Label ID="BodyText" runat="server" Text='<%# ViewFormat((string)Eval("EntryBody"), false) %>'/>
    </td>
  </tr>
  <tr>
    <td class="SmallFont BorderBottom" colspan="2" align="right">
      <asp:HyperLink ID="DateLink" runat="server" NavigateUrl='<%# "~/DaysViewer.aspx?Date=" + ((DateTime)Eval("CreateDate")).ToString("yyyy/MM/dd") %>' Text='<%# ((DateTime)Eval("CreateDate")).ToString("yyyy/MM/dd") %>' />
      <asp:Label ID="Label1" runat="server" Text='<%# ((DateTime)Eval("CreateDate")).ToString("HH:mm") %>' />
      <asp:HyperLink ID="AttachLink" runat="server" Visible='<%# Eval("HasAttach") %>' meta:resourceKey="AttachLabel" NavigateUrl='<%# "~/Download.ashx?AttachId=" + Eval("EntryId") %>' />
      <asp:HyperLink ID="CommentLink" runat="server" NavigateUrl='<%# "~/Editor/CommentEditor.aspx?EntryId=" + Eval("EntryId") %>' meta:resourceKey="CommentLabel" />
      ( <asp:Label ID="CommentCount" runat="server" Text='<%# Eval("Comment") %>' /> )
      # <asp:HyperLink ID="CategoryLink" runat="server" NavigateUrl='<%# "~/CategoryViewer.aspx?CategoryId=" + Eval("CategoryId") %>' Text='<%# Eval("CategoryName") %>' />
    </td>
  </tr>
</ItemTemplate>
<FooterTemplate>
</table>
</FooterTemplate>
</asp:DataList>
<div style="text-align:right;">
  <asp:HyperLink ID="EntryLink" runat="server" NavigateUrl="~/Editor/EntryEditor.aspx" meta:resourceKey="EntryLink" />
</div>
